Comments
Request
GET
https://api.wiki.yandex.net/v1/pages/{idx}/comments
Path parameters
|
Name |
Description |
|
idx |
Type: integer |
Query parameters
|
Name |
Description |
|
cursor |
Type: string Example: `` |
|
order_by |
Type: string If specified, sort the results by this field in the Const: Example: `` |
|
order_direction |
All of: OrderDirection
If the Default: Example: `` |
|
page_size |
Type: integer Number of results per page. Default: Min value: Max value: |
|
status_filter |
All of: CommentResolveStatus
Filter by comment status; accepts CommentResolveStatus (resolved, unresolved) Example: `` |
Responses
200 OK
OK
Body
application/json
{
"results": [
{
"id": 0,
"body": "example",
"inline_text": "example",
"parent_id": 0,
"author": {
"id": 0,
"identity": null,
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
},
"thread_id": 0,
"created_at": "2025-01-01T00:00:00Z",
"is_deleted": true,
"resolve_status": "resolved",
"reactions": [
{
"type": "like",
"author": null,
"created_at": "2025-01-01T00:00:00Z"
}
],
"thread_info": {
"total_posts": 0,
"last_comment": {
"id": 0,
"body": "example",
"inline_text": "example",
"parent_id": 0,
"author": null,
"thread_id": 0,
"created_at": "2025-01-01T00:00:00Z",
"is_deleted": true,
"resolve_status": null,
"reactions": [
null
]
}
}
}
],
"next_cursor": "example",
"prev_cursor": "example"
}
|
Name |
Description |
|
results |
Type: CommentSchemaExt[] Example
|
|
next_cursor |
Type: string Example: |
|
prev_cursor |
Type: string Example: |
UserIdentity
User identifier
|
Name |
Description |
|
cloud_uid |
Type: string User identifier in the cloud (for the external instance) Example: |
|
uid |
Type: string User identifier in Yandex (for the internal instance) Example: |
Example
{
"uid": "example",
"cloud_uid": "example"
}
UserSchema
Information about the user
|
Name |
Description |
|
affiliation |
Type: string User affiliation (for example, Example: |
|
display_name |
Type: string User display name Example: |
|
id |
Type: integer Internal user identifier |
|
is_dismissed |
Type: boolean The user has been dismissed |
|
username |
Type: string User login Example: |
|
identity |
All of 1 type
User identifier in the system Example
|
Example
{
"id": 0,
"identity": {
"uid": "example",
"cloud_uid": "example"
},
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
}
CommentResolveStatus
Comment resolve status:
resolved— the comment is resolvedunresolved— the comment is not resolved
Type: string
Enum: resolved, unresolved
ReactionType
Comment reaction type:
like— likehooray— hoorayconfused— confusedheart— heartrocket— rocketeyes— eyesfire— fireok— okfacepalm— facepalmcheck— check marklaugh— laughdislike— dislike
Type: string
Enum: like, hooray, confused, heart, rocket, eyes, fire, ok, facepalm, check, laugh, dislike
CommentReactionSchema
|
Name |
Description |
|
author |
Type: UserSchema Information about the user Example
|
|
created_at |
Type: string<date-time> Example: |
|
type |
Type: ReactionType Comment reaction type:
Enum: |
Example
{
"type": "like",
"author": {
"id": 0,
"identity": {
"uid": "example",
"cloud_uid": "example"
},
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
},
"created_at": "2025-01-01T00:00:00Z"
}
CommentSchema
A comment on the page
|
Name |
Description |
|
author |
All of 1 type
Comment author Example
|
|
body |
Type: string Comment text Example: |
|
created_at |
Type: string<date-time> Date and time the comment was created Example: |
|
id |
Type: integer Unique comment identifier |
|
is_deleted |
Type: boolean Comment deletion flag |
|
reactions |
Type: CommentReactionSchema[] Reactions to the comment Example
|
|
resolve_status |
All of 1 type
Comment resolve status Example: |
|
inline_text |
Type: string The text the comment is attached to (for inline comments) Example: |
|
parent_id |
Type: integer The ID of the parent comment (for replies in a thread) |
|
thread_id |
Type: integer Comment thread ID |
Example
{
"id": 0,
"body": "example",
"inline_text": "example",
"parent_id": 0,
"author": {
"id": 0,
"identity": {
"uid": "example",
"cloud_uid": "example"
},
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
},
"thread_id": 0,
"created_at": "2025-01-01T00:00:00Z",
"is_deleted": true,
"resolve_status": "resolved",
"reactions": [
{
"type": "like",
"author": null,
"created_at": "2025-01-01T00:00:00Z"
}
]
}
ThreadSchema
|
Name |
Description |
|
last_comment |
Type: CommentSchema A comment on the page Example
|
|
total_posts |
Type: integer |
Example
{
"total_posts": 0,
"last_comment": {
"id": 0,
"body": "example",
"inline_text": "example",
"parent_id": 0,
"author": {
"id": 0,
"identity": null,
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
},
"thread_id": 0,
"created_at": "2025-01-01T00:00:00Z",
"is_deleted": true,
"resolve_status": "resolved",
"reactions": [
{
"type": "like",
"author": null,
"created_at": "2025-01-01T00:00:00Z"
}
]
}
}
CommentSchemaExt
|
Name |
Description |
|
author |
Type: UserSchema Information about the user Example
|
|
body |
Type: string Example: |
|
created_at |
Type: string<date-time> Example: |
|
id |
Type: integer |
|
is_deleted |
Type: boolean |
|
reactions |
Type: CommentReactionSchema[] Example
|
|
resolve_status |
Type: CommentResolveStatus Comment resolve status:
Enum: |
|
inline_text |
Type: string Example: |
|
parent_id |
Type: integer |
|
thread_id |
Type: integer |
|
thread_info |
Type: ThreadSchema Example
|
Example
{
"id": 0,
"body": "example",
"inline_text": "example",
"parent_id": 0,
"author": {
"id": 0,
"identity": {
"uid": "example",
"cloud_uid": "example"
},
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
},
"thread_id": 0,
"created_at": "2025-01-01T00:00:00Z",
"is_deleted": true,
"resolve_status": "resolved",
"reactions": [
{
"type": "like",
"author": null,
"created_at": "2025-01-01T00:00:00Z"
}
],
"thread_info": {
"total_posts": 0,
"last_comment": {
"id": 0,
"body": "example",
"inline_text": "example",
"parent_id": 0,
"author": null,
"thread_id": 0,
"created_at": "2025-01-01T00:00:00Z",
"is_deleted": true,
"resolve_status": null,
"reactions": [
null
]
}
}
}